<?php
/**
 * @package GoChat
 */
/*
Plugin Name: GoChat
Plugin URI: http://gochat.us/
Description: GoChat enables chatting with your site visitors
Version: 1.0.0
Author: GoChat, Inc.
Author URI: http://gochat.us/wordpress
License: BSD License
*/

require dirname(__FILE__) . '/index.php';

if (is_admin()) {
	require_once GOCHAT_DIR . '/admin.php';
}

function gochat_headers($headers) {
    $headers['GoChat'] = GOCHAT_VERSION;
    return $headers;
}

function gochat_get($name) {
    if (is_admin() && count($_POST) > 0 && isset($_POST[$name])) {
        return $_POST[$name] == 'true';
    }
    return get_option($name, 'true') == 'true';
}

function gochat_main() {
    if (is_admin() && !gochat_get('gochat_enable_admin'))  return;
    $opts = array(
        'video' => gochat_get('gochat_enable_video') ? 'yes' : 'no',
    );
    $siteid = get_option('gochat_id');
    if ($siteid) {
        $opts['identity'] = $siteid;
    }
    wp_enqueue_script('wp-gochat', 'https://gochat.us/chat.js?' . http_build_query($opts) . '&', false, false, true);
}

add_filter('wp_headers', 'gochat_headers');
add_filter('init', 'gochat_main');
